diff --git a/buglist b/buglist
index 65965ec..243bf1b 100644
--- a/buglist
+++ b/buglist
@@ -1,12 +1,229 @@
 =========================================================================
 
-bug 7218: 
+bug 7225: 
 todo 329:
 wish 1011:
 meh 5:
 
 =========================================================================
 
+bug 7224: Axiom2D PS save function clips right side of image
+
+draw(sin(4*t/7),t=0..14*%pi,coordinates==elliptic(1$DFLOAT))
+
+menu -> ps 
+use gimp to look at ps
+
+=========================================================================
+
+bug 7223: Bind stack overflow
+
+-- (defun |*2;dot;5;frame1394| is being compiled
+-- The variable |*2;dot;5;frame1394;MV is undefined
+-- The compiler will assume this variable is a global
+-- Internal error
+-- The function coerce with signature OrderedCompletion Integer ->
+--   Expression OrderedCompletion Integer is missing from domain
+--   Expression(OrderedCompletion(Integer))
+--
+--   Internal Error
+--   The function coerce with signature hashcode is missing from domain 
+--      Expression(OrderedCompletion (Integer)) 
+dot(f,g) == integrate(f*g*x^2,x=-1..1)
+proj(f,g) == dot(f,g)*f/dot(f,f)
+p0:=1
+p1:=x-proj(p0,x)
+p2:=x^2-proj(p0,x^2)-proj(p1,x^2)
+-- this give bind stack overflow
+p(0) == 1
+p(n | n > 0) == x^n-sum(proj(p(k),x^n),k=0..n-1)
+p(1)
+
+(7) -> )clear all
+(1) -> dot(f,g) == integrate(f*g*x^2,x=-1..1)
+                                                                   Type: Void
+(2) -> proj(f,g) == dot(f,g)*f/dot(f,f)
+                                                                   Type: Void
+(3) -> p0:=1
+
+   (3)  1
+                                                        Type: PositiveInteger
+(4) -> p1:=x-proj(p0,x)
+   Compiling function dot with type (PositiveInteger,Variable x) -> 
+      Union(f1: OrderedCompletion Expression Integer,f2: List 
+      OrderedCompletion Expression Integer,fail: failed,pole: 
+      potentialPole) 
+   There are 34 exposed and 23 unexposed library operations named * 
+      having 2 argument(s) but none was determined to be applicable. 
+      Use HyperDoc Browse, or issue
+                                )display op *
+      to learn more about the available operations. Perhaps 
+      package-calling the operation or using coercions on the arguments
+      will allow you to apply the operation.
+   Cannot find a definition or applicable library operation named * 
+      with argument type(s) 
+Union(f1: OrderedCompletion Expression Integer,f2: List OrderedCompletion Expression Integer,fail: failed,pole: potentialPole)
+                               PositiveInteger
+      
+      Perhaps you should use "@" to indicate the required return type, 
+      or "$" to specify which version of the function you need.
+   AXIOM will attempt to step through and interpret the code.
+   Compiling function dot with type (PositiveInteger,PositiveInteger)
+       -> Union(f1: OrderedCompletion Expression Integer,f2: List 
+      OrderedCompletion Expression Integer,fail: failed,pole: 
+      potentialPole) 
+
+   (4)  x
+                                                     Type: Expression Integer
+(5) -> p2:=x^2-proj(p0,x^2)-proj(p1,x^2)
+   Compiling function dot with type (PositiveInteger,Polynomial Integer
+      ) -> Union(f1: OrderedCompletion Expression Integer,f2: List 
+      OrderedCompletion Expression Integer,fail: failed,pole: 
+      potentialPole) 
+   Compiling function dot with type (Expression Integer,Polynomial 
+      Integer) -> Union(f1: OrderedCompletion Expression Integer,f2: 
+      List OrderedCompletion Expression Integer,fail: failed,pole: 
+      potentialPole) 
+   Internal Error
+   The function coerce with signature hashcode is missing from domain 
+      Expression(OrderedCompletion (Integer)) 
+
+(5) -> p(0) == 1
+                                                                   Type: Void
+(6) -> p(n | n > 0) == x^n-sum(proj(p(k),x^n),k=0..n-1)
+                                                                   Type: Void
+(7) -> p(1)
+   Cannot compile map: proj 
+   We will attempt to interpret the code.
+   Cannot compile map: p 
+   We will attempt to interpret the code.
+ 
+   >> System error:
+   Bind stack overflow.
+
+(7) -> 
+
+
+
+=========================================================================
+
+bug 7222: errors while compiling bookvol7
+
+make[3]: Entering directory `/research/test/int/hyper'
+1 making /research/test/mnt/ubuntu/lib/spadbuf from /research/test/books/bookvol7.pamphlet
+spadbuf.c: In function ‘interpIO’:
+spadbuf.c:89: warning: ignoring return value of ‘write’, declared with attribute warn_unused_result
+2 making /research/test/mnt/ubuntu/lib/ex2ht from /research/test/books/bookvol7.pamphlet
+3 making /research/test/mnt/ubuntu/bin/htadd from /research/test/books/bookvol7.pamphlet
+htadd.c: In function ‘buildHtFilename’:
+htadd.c:1314: warning: ignoring return value of ‘getcwd’, declared with attribute warn_unused_result
+4 making /research/test/mnt/ubuntu/bin/hthits from /research/test/books/bookvol7.pamphlet
+hthits.c: In function ‘handleFile’:
+hthits.c:65: warning: ignoring return value of ‘fgets’, declared with attribute warn_unused_result
+hthits.c: In function ‘handlePage’:
+hthits.c:166: warning: ignoring return value of ‘fread’, declared with attribute warn_unused_result
+5 making /research/test/mnt/ubuntu/bin/htsearch from /research/test/books/bookvol7.pamphlet
+6 making /research/test/mnt/ubuntu/lib/presea from /research/test/books/bookvol7.pamphlet
+7 /research/test/mnt/ubuntu/bin/hypertex from /research/test/books/bookvol7.pamphlet
+hypertex.c: In function ‘buildHtFilename’:
+hypertex.c:2029: warning: ignoring return value of ‘getcwd’, declared with attribute warn_unused_result
+hypertex.c: In function ‘handleKey’:
+hypertex.c:8748: warning: ignoring return value of ‘system’, declared with attribute warn_unused_result
+hypertex.c: In function ‘issueUnixcommand’:
+hypertex.c:13808: warning: ignoring return value of ‘system’, declared with attribute warn_unused_result
+10 making /research/test/mnt/ubuntu/doc/axbook/xhtml from /research/test/books/axbook.tgz
+8 making /research/test/mnt/ubuntu/doc/bigbayou.png from /research/test/books/bigbayou.png
+9 making /research/test/mnt/ubuntu/doc/doctitle.png from /research/test/books/d
+
+=========================================================================
+
+bug 7221: The variable IDENTITY is undefined.
+
+; (DEFUN |Pattern;| ...) is being compiled.
+;; The variable IDENTITY is undefined.
+;; The compiler will assume this variable is a global.
+------------------------------------------------------------------------
+   Pattern is now explicitly exposed in frame initial 
+   Pattern will be automatically loaded when needed from 
+      /research/test/int/algebra/PATTERN.nrlib/code
+
+
+=========================================================================
+
+bug 7220: Manicotti only draws 1/2 of image
+
+See bookvol8.1.pamphlet vs Pasta by Design book
+
+Not clear if the problem is the equations or the graphics
+
+=========================================================================
+
+bug 7219: Funghini draws only lines
+
+See bookvol8.1.pamphlet vs Pasta by Design book
+
+Not clear if the problem is the equations or the graphics
+
+=========================================================================
+
+bug 7218: makeViewport3D closed unexpectedly
+
+given:
+
+A(i)    == sin(i*%pi/2000)^0.5
+X1(i,j) == _
+  if (i <= 2000) _
+   then 2.1*cos((2*A(i)+1)*%pi)+0.65*cos((2*A(i)+0.5)*%pi)+_
+        2.5*sin((A(i)+1.83)*%pi)^500 _
+   else -2.1
+Y1(i,j) == _
+  if (i <= 2000) _
+   then 2.5*sin((2*A(i)+1)*%pi)+0.1*sin(A(i)*2*%pi)+_
+        3*sin((A(i)+1.83)*%pi)^500 _
+   else 0.0
+Z(i,j) == j/4.0
+vsp:=createThreeSpace()
+makeObject(surface(X1(i,j),Y1(i,j),Z(i,j)),i=0..3000,j=0..4,space==vsp)
+vp:=makeViewport3D(vsp,style=="smooth",title=="Racchette")
+axes(vp,"off")
+
+>> Error detected within library code: 
+This viewport has already been closed
+
+See section{Racchette} in bookvol8.1.pamphlet
+
+Note that if the whole example is run the viewport is still open.
+Only when the subset involves just (X1,Y1,Z) does it fail.
+
+Note the same error occurs in Rotelle.
+
+X1(i,j) == _
+  if (i <= 666) _
+   then 2*cos(3*i*%pi/1000)+0.03*cos(93*i*%pi/1000) _
+   else 2.03
+Y1(i,j) == _
+  if (i <= 666) _
+   then 2.05*sin(3*i*%pi/1000)+0.03*sin(93*i*%pi/1000) _
+   else 0.0
+Z(i,j) == j/5.0
+vsp:=createThreeSpace()
+makeObject(surface(X1(i,j),Y1(i,j),Z(i,j)),i=0..2000,j=0..5,space==vsp)
+vp:=makeViewport3D(vsp,style=="smooth",title=="Rotelle")
+axes(vp,"off")
+
+>> Error detected within library code: 
+This viewport has already been closed
+
+draw(surface(X1(i,j),Y1(i,j),Z(i,j)),i=0..2000,j=0..5)
+
+succeeds with a wildly strange float
+"float(149787561878521559122,-66,2)/float(1,0,2)
+
+so I suspect the equations are wrong in some way. --tpd
+
+
+=========================================================================
+
 bug 7217: bad title generated in Axiom 3D output
 
 given:
@@ -20,6 +237,12 @@ The title reads:
 but should read:
   exp(cos(x-y)-sin(x*y))-2
 
+bug is probably here:
+src/interp/newfort.lisp.pamphlet:;    op = '"cos" => '"DCOS"
+src/interp/newfort.lisp.pamphlet:;    op = '"cosh" => '"DCOSH"
+src/interp/newfort.lisp.pamphlet:           ((BOOT-EQUAL |op| "cos") "DCOS")
+src/interp/newfort.lisp.pamphlet:           ((BOOT-EQUAL |op| "cosh") "DCOSH")
+
 
 =========================================================================
 
diff --git a/changelog b/changelog
index 25744a2..596b70f 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20120215 tpd src/axiom-website/patches.html 20120215.04.tpd.patch
+20120215 tpd buglist add additional graphics bugs
 20120215 gll src/axiom-website/patches.html 20120215.03.gll.patch
 20110215 gll books/bookvol5.pamphlet add George Legendre
 20110215 gll books/bookvol10.4.pamphlet add George Legendre
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 4ea7907..634cc39 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -3816,5 +3816,7 @@ books/bookvol8.1 add additional gallery images<br/>
 books/ps/v81complexarctangent.eps additional gallery image<br/>
 <a href="patches/20120215.03.gll.patch">20120215.03.gll.patch</a>
 readme add George Legendre<br/>
+<a href="patches/20120215.04.tpd.patch">20120215.04.tpd.patch</a>
+buglist add additional graphics bugs<br/>
  </body>
 </html>
